std::atomic< bool > Struct Reference

## Public Types

using | value_type = bool

## Public Member Functions

constexpr | atomic (bool __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatile noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatile noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatile noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) noexcept
bool | compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatile noexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) noexcept
bool | exchange (bool __i, memory_order __m=memory_order_seq_cst) volatile noexcept
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatile noexcept
bool | load (memory_order __m=memory_order_seq_cst) const noexcept
bool | load (memory_order __m=memory_order_seq_cst) const volatile noexcept
| operator bool () const noexcept
| operator bool () const volatile noexcept
bool | operator= (bool __i) noexcept
bool | operator= (bool __i) volatile noexcept
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete
void | store (bool __i, memory_order __m=memory_order_seq_cst) noexcept
void | store (bool __i, memory_order __m=memory_order_seq_cst) volatile noexcept

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

atomic<bool>

Definition at line 62 of file atomic.

The documentation for this struct was generated from the following file:

- atomic